Module java.base
Package java.util.concurrent

# Enum Class Future.State

java.lang.Object
java.lang.Enum<Future.State>
java.util.concurrent.Future.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Future.State>`, `Constable`

Enclosing interface:
  `Future<V>`

public static enum Future.State extends Enum<Future.State>
Represents the computation state.

Since:
  19

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCELLED`
The task was cancelled.
`FAILED`
The task completed with an exception.
`RUNNING`
The task has not completed.
`SUCCESS`
The task completed with a result.

## Method Summary

Modifier and Type
Method
Description
`static Future.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Future.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RUNNING

public static final Future.State RUNNING
The task has not completed.

### SUCCESS

public static final Future.State SUCCESS
The task completed with a result.

See Also:
  - `Future.resultNow()`

### FAILED

public static final Future.State FAILED
The task completed with an exception.

See Also:
  - `Future.exceptionNow()`

### CANCELLED

public static final Future.State CANCELLED
The task was cancelled.

See Also:
  - `Future.cancel(boolean)`

## Method Details

### values

public static Future.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Future.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null